STTY(3)

NAME
stty, gtty - set and get terminal state (defunct)

LIBRARY
libcompat

SYNOPSIS
#include <sgtty.h>
stty(int fd, struct sgttyb *buf);
gtty(int fd, struct sgttyb *buf);

DESCRIPTION
These interfaces are obsoleted by ioctl(2). They are available from the compatibility library, libcompat.

The stty() function sets the state of the terminal associated with fd. The gtty() function retrieves the state of the terminal associated with fd. To set the state of a terminal the call must have write permission.

The stty() call is actually ‘ioctl(fd, TIOCSETP, buf)’, while the gtty() call is ‘ioctl(fd, TIOCGETP, buf)’. See ioctl(2) and tty(4) for an explanation.

RETURN VALUES

SEE ALSO
ioctl(2), tty(4)

HISTORY
The stty() and gtty() functions appeared in AT&T UNIX. Obsoleted by ioctl(2), these functions were moved to libcompat in 4.2BSD.